---------------------
PatchSet 295 
Date: 2002/12/09 18:17:24
Author: apbarrett
Branch: follow_xff
Tag: (none) 
Log:
Implement the delay_pool_uses_indirect_client functionality.

If configured to do so, delayClient() now sets ch.src_addr from
r->indirect_client_addr instead of from r->client_addr.

Members: 
	src/delay_pools.cc:1.2->1.2.12.1 

Index: squid3/src/delay_pools.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/delay_pools.cc,v
retrieving revision 1.2
retrieving revision 1.2.12.1
diff -u -r1.2 -r1.2.12.1
--- squid3/src/delay_pools.cc	14 Oct 2002 09:09:09 -0000	1.2
+++ squid3/src/delay_pools.cc	9 Dec 2002 18:17:24 -0000	1.2.12.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: delay_pools.cc,v 1.2 2002/10/14 09:09:09 squidadm Exp $
+ * $Id: delay_pools.cc,v 1.2.12.1 2002/12/09 18:17:24 apbarrett Exp $
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: David Luyer <david@luyer.net>
@@ -320,6 +320,11 @@
     r = http->request;
 
     memset(&ch, '\0', sizeof(ch));
+#if FOLLOW_X_FORWARDED_FOR
+    if (Config.onoff.delay_pool_uses_indirect_client) {
+	ch.src_addr = r->indirect_client_addr;
+    } else
+#endif /* FOLLOW_X_FORWARDED_FOR */
     ch.src_addr = r->client_addr;
     ch.my_addr = r->my_addr;
     ch.my_port = r->my_port;
